Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a list of EndUsers
cURL
curl --request GET \ --url https://app.herondata.io/api/end_users \ --header 'x-api-key: <api-key>'
import requests url = "https://app.herondata.io/api/end_users" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://app.herondata.io/api/end_users', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://app.herondata.io/api/end_users", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.herondata.io/api/end_users" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://app.herondata.io/api/end_users") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://app.herondata.io/api/end_users") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "_meta": { "next_url": "<string>", "num_results": 123, "page": 123, "pages": 123, "per_page": 123, "prev_url": "<string>", "total": 123 }, "end_users": [ { "end_user_id": "7cb48787-6d91-5b9f-bc60-f30298ea5736", "confidence": 0.42, "created": "2026-02-26T09:30:00+00:00", "criteria": [ { "context": "higher_is_better", "currency": "<string>", "date_range": "last_180_days", "description": "The number of unique transactions with a timestamp", "group": "data_quality", "label": "unique_transactions", "status": "not_available", "unit": "n", "value": 42.42 } ], "data_sources": [ { "type": "pdf", "status": "new" } ], "heron_id": "eus_9qQBmrBQMMUkek76UmiQ7m", "is_portfolio": true, "last_processed_at": "2026-02-26T09:30:00+00:00", "last_updated": "2026-02-26T09:30:00+00:00", "meta": {}, "name": "Company Name Inc.", "profit_and_loss_layout": null, "status": "ready", "tags": [ { "name": "<string>", "color": "<string>", "description": "<string>", "heron_id": "<string>", "is_system_managed": true } ] } ] }
Filter by name associated with end user
"your_end_user_name"
Filter by status of end user
new
ready
processed
reviewed
review_requested
failed
null
"reviewed"
Whether the end user is part of a lending portfolio
true
Return only end users created at or after this ISO 8601 date or datetime
"2026-09-11"
Return only end users created strictly before this ISO 8601 date or datetime
"2026-09-18"
Return only end users last updated at or after this ISO 8601 date or datetime
Return only end users last updated strictly before this ISO 8601 date or datetime
Order to return end users by
last_updated_desc
last_updated_asc
created_desc
created_asc
Unique ID generated by Heron
"eus_9qQBmrBQMMUkek76UmiQ7m"
Filter by ID associated with end_user_id field in transactions
"your_end_user_id"
Filter by tag Heron IDs. End users holding any active requested tag are returned. Unknown and soft-deleted tag IDs do not match any end users.
Pagination page number
x >= 1
Pagination limit per page
1 <= x <= 10000
Whether the to include data sources for each end user
Whether to include scorecard metrics for each end user (under field criteria)
Whether to include the tags applied to each end user
OK
Show child attributes
Was this page helpful?